%define name		perl-IO-String
%define real_name	IO-String
%define version		1.04
%define release		1mdk

Summary:	A IO::File/IO::handle perl module compatible
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{real_name}-%{version}.tar.bz2
BuildArch:	noarch

%description
IO::String is an IO::File (and IO::Handle) compatible class that read
or write data from in-core strings.  It is really just a
simplification of what I needed from Eryq's IO-stringy modules.  As
such IO::String is a replacement for IO::Scalar.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/IO
%_mandir/man3/IO::String.3pm.bz2

%changelog
* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.04-1mdk
- 1.04
- perl 5.8.3 rebuild

* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-1mdk
- 1.03
- perl 5.8.2 rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.02-5mdk
- Use %%makeinstall_std now that it works on klama
- Remove bad build options and don't use the %%make
  macro for test.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.02-4mdk
- Forgot DESTDIR on %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 1.02-3mdk
- Fix install for new perl
- Macrofication
- Fix man path
- unpackaged perllocal.pod

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-1mdk
- 1.02

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.01-1mdk 
- first version of rpm.
